"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Headers {
    constructor(init) {
        if (init) {
            const headerNames = Object.keys(init);
            for (const headerName of headerNames) {
                this.append(headerName, init[headerName]);
            }
        }
    }
    get(name) {
        return this[name];
    }
    append(key, value) {
        if (key) {
            this[key] = value;
        }
    }
    has(key) {
        return !!this[key];
    }
    raw() {
        return this;
    }
}
exports.Headers = Headers;
//# sourceMappingURL=headers.js.map